import {PWInboxWidget as InboxWidget} from '../../src';
import {commonParams} from '../constants';
import {expect} from 'chai';

export default () => {

    it('Click to trigger must toggle widget', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.trigger.click();
        expect(inbox.isOpened).is.true;
    });

    it('Widget should have pw-open classname', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.trigger.click();
        expect(inbox.widget.className).is.contains('pw-open');
    });

    it('Widget should have pw-bottom (by default) classname', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.trigger.click();
        expect(inbox.widget.className).is.contains('pw-bottom');
    });

};