import {pwinbox} from '../constants';
import {PWInboxWidget as InboxWidget} from '../../src';
import {expect} from 'chai';

export default () => {
    it('Widget should append to body component', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.widgetParent).to.equal(document.body);
    });

    it('Widget should append to custom parent element component', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger',
                appendTo: '#parentElement'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.widgetParent.id).to.equal('parentElement');
    });

    it('Style should be append to body component', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.widgetParent.querySelector('style')).to.not.equal(undefined);
    });

    it('Style should be append to parent component', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger',
                appendTo: '#parentElement'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.widgetParent.querySelector('style')).to.not.equal(undefined);
    });
};