interface Pushwoosh {
    inboxWidgetConfig: IInboxWidgetConfig;
    pwinbox: Ipwinbox;
    push(params: any): Promise<void>;
}

interface Ipwinbox {
    readMessagesWithCodes(codes: Array<string>): Promise<void>;
    loadMessages(): Promise<Array<IInboxMessagePublic>>;
    unreadMessagesCount(): Promise<number>;
    performActionForMessageWithCode(code: string): Promise<void>;
    deleteMessagesWithCodes(codes: Array<string>): Promise<void>;
}

interface TMessagesElementsType {
    [code: string]: HTMLElement
}

interface IConfigStyles {
    name: TStylesNames,
    type: TStylesTypes
}

type TStylesNames = 'bgColor' | 'textColor' | 'fontFamily' | 'borderRadius' | 'borderColor'
    | 'badgeBgColor' | 'badgeTextColor' | 'widgetWidth' | 'zIndex' | 'messageTitleColor' | 'timeTextColor'
    | 'emptyInboxTitleColor' | 'emptyInboxTextColor' | 'arrowBorderColor';

type TStylesTypes = 'number' | 'color' | 'string' | 'size';

type TWidgetPosition = 'left' | 'right' | 'top' | 'bottom';

interface IInboxWidgetConfig {
    enable: boolean;
    triggerId: string;
    position: TWidgetPosition;
    appendTo: string;
    title: string;
    bgColor: string;
    textColor: string;
    fontFamily: string;
    borderRadius: number;
    borderColor: string;
    badgeBgColor: string;
    badgeTextColor: string;
    widgetWidth: number;
    zIndex: number;
    messageTitleColor: string;
    timeTextColor: string;
    emptyInboxTitle: string;
    emptyInboxText: string;
    emptyInboxIconUrl: string;
    emptyInboxTitleColor: string;
    emptyInboxTextColor: string;
    arrowBorderColor: string;
}

interface IInboxMessagePublic {
    code: string;  // inbox_id
    title: string;  // title
    message: string; // body
    imageUrl: string;  // image
    sendDate: string;  // send_date
    type: TInboxMessageType;  // depend from action_params
    isRead: boolean;  // true if status read or open
    isActionPerformed: boolean;  // true if status open
}

type TInboxMessageTypePlain = 0;
type TInboxMessageTypeRichmedia = 1;
type TInboxMessageTypeURL = 2;
type TInboxMessageTypeDeeplink = 3;
type TInboxMessageType = TInboxMessageTypePlain  // depend from action_params
    | TInboxMessageTypeRichmedia
    | TInboxMessageTypeURL
    | TInboxMessageTypeDeeplink;